The future of incentives is agent ready. See what we're building.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/validation-rules/{validationRuleId}/assignments \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "asgm_74F7QZoYbUoljwQO",
"rule_id": "val_4j7DCRm2IS59",
"related_object_id": "v_MBOEmHelKwvykVZ8JcT4TE5Kla5IMJyc",
"related_object_type": "voucher",
"created_at": "2022-02-17T09:05:34.642Z",
"object": "validation_rules_assignment"
},
{
"id": "asgm_zzLBm8mIzGQStXl9",
"rule_id": "val_4j7DCRm2IS59",
"related_object_id": "v_JtWunK6jUo7X2qOFj0SyRHq4p9tgENlT",
"related_object_type": "voucher",
"created_at": "2022-02-17T08:18:15.085Z",
"object": "validation_rules_assignment"
},
{
"id": "asgm_JztMAws0e0Qx2Xy6",
"rule_id": "val_4j7DCRm2IS59",
"related_object_id": "camp_kjja4moiVB7hQKPGOT61026Z",
"related_object_type": "campaign",
"created_at": "2022-02-15T13:26:34.807Z",
"object": "validation_rules_assignment"
}
],
"total": 3
}Retrieve validation rule assignments for a specific validation rule.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/validation-rules/{validationRuleId}/assignments \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "asgm_74F7QZoYbUoljwQO",
"rule_id": "val_4j7DCRm2IS59",
"related_object_id": "v_MBOEmHelKwvykVZ8JcT4TE5Kla5IMJyc",
"related_object_type": "voucher",
"created_at": "2022-02-17T09:05:34.642Z",
"object": "validation_rules_assignment"
},
{
"id": "asgm_zzLBm8mIzGQStXl9",
"rule_id": "val_4j7DCRm2IS59",
"related_object_id": "v_JtWunK6jUo7X2qOFj0SyRHq4p9tgENlT",
"related_object_type": "voucher",
"created_at": "2022-02-17T08:18:15.085Z",
"object": "validation_rules_assignment"
},
{
"id": "asgm_JztMAws0e0Qx2Xy6",
"rule_id": "val_4j7DCRm2IS59",
"related_object_id": "camp_kjja4moiVB7hQKPGOT61026Z",
"related_object_type": "campaign",
"created_at": "2022-02-15T13:26:34.807Z",
"object": "validation_rules_assignment"
}
],
"total": 3
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique validation rule ID.
"val_TU4de3EP4dlL"
Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.
1 <= x <= 100Which page of results to return. The lowest value is 1.
1 <= x <= 100This is a property that controls the sorting direction of the results. Sort the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.
created_at, -created_at Returns a dictionary of validation rule assignments. If the validation rule ID provided in the path parameter cannot be found, the endpoint will return an empty data array and a total of 0.
Response body for GET v1/validation-rules-assignments and GET v1/validation-rules/{validationRuleId}/assignments.
The type of the object represented by JSON. This object stores information about validation rule assignments.
Identifies the name of the JSON property that contains the array of validation rule assignments.
A dictionary that contains an array of validation rule assignments.
Show child attributes
Total number of validation rule assignments.
Was this page helpful?